<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_white"
    android:orientation="vertical">

    <TextView
        android:id="@+id/remindTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textSize="12sp"
        android:textColor="@color/theme_font"
        android:lineSpacingExtra="4dp"
        android:paddingLeft="20dp"
        android:paddingTop="12dp"
        android:paddingBottom="12dp"
        android:paddingRight="20dp"
        android:visibility="gone"
        android:background="@color/ECF6FF" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:layout_marginTop="0.5dp"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_installation_package"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingRight="16dp"
                    android:text="安装包*"
                    android:textColor="@color/text_title"
                    android:textSize="14sp" />


                <LinearLayout
                    android:id="@+id/chooseGameLl"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_border_blue_radius_4"
                    android:orientation="horizontal"
                    android:paddingLeft="16dp"
                    android:paddingRight="16dp">

                    <ImageView
                        android:id="@+id/chooseGameIconIv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/ic_game_upload_add" />

                    <TextView
                        android:id="@+id/tv_choose"
                        android:layout_width="wrap_content"
                        android:layout_height="30dp"
                        android:layout_marginLeft="4dp"
                        android:gravity="center"
                        android:hint="点我选择"
                        android:textColor="@color/text_subtitle"
                        android:textColorHint="@color/theme_font"
                        android:textCursorDrawable="@drawable/cursor_color"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>

            <View
                style="@style/line_horizontal"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:background="@color/background" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/gameIconTitleTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="14dp"
                    android:text="游戏图标*"
                    android:textColor="@color/text_title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toTopOf="@+id/gameIconRv"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="（限制一张，尺寸比例1:1）"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="@+id/gameIconTitleTv"
                    app:layout_constraintStart_toEndOf="@+id/gameIconTitleTv"
                    app:layout_constraintTop_toTopOf="@+id/gameIconTitleTv" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/gameIconRv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/background_white"
                    android:paddingLeft="20dp"
                    android:paddingBottom="20dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/gameIconTitleTv" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                style="@style/line_horizontal"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:background="@color/background" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical">

                <TextView
                    android:id="@+id/tv_game_name"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:paddingLeft="20dp"
                    android:paddingRight="16dp"
                    android:text="游戏名字*"
                    android:gravity="center"
                    android:textColor="@color/text_title"
                    android:textSize="14sp" />


                <EditText
                    android:id="@+id/et_game_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="请填写游戏名字 "
                    android:maxLength="20"
                    android:maxLines="1"
                    android:paddingTop="10dp"
                    android:paddingRight="10dp"
                    android:paddingBottom="10dp"
                    android:textColor="@color/text_subtitle"
                    android:textColorHint="@color/text_body"
                    android:textCursorDrawable="@drawable/cursor_color"
                    android:textSize="14sp" />
            </LinearLayout>

            <View
                style="@style/line_horizontal"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:background="@color/background" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/gameLabelTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:layout_marginTop="16dp"
                    android:paddingRight="16dp"
                    android:layout_marginBottom="12dp"
                    android:text="游戏标签*"
                    android:textColor="@color/text_title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toTopOf="@+id/gameLabelFl"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.flexbox.FlexboxLayout
                    android:id="@+id/gameLabelFl"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginBottom="20dp"
                    android:visibility="gone"
                    app:flexDirection="row"
                    app:flexWrap="wrap"
                    app:showDivider="middle"
                    app:dividerDrawable="@drawable/shape_flexbox_divider_w8_h12"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/gameLabelTv" />

                <LinearLayout
                    android:id="@+id/addGameLabeTv"
                    android:layout_width="wrap_content"
                    android:layout_height="18dp"
                    android:background="@drawable/bg_border_blue_radius_4"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="4dp"
                    android:paddingRight="4dp"
                    app:layout_constraintBottom_toBottomOf="@+id/gameLabelTv"
                    app:layout_constraintStart_toEndOf="@+id/gameLabelTv"
                    app:layout_constraintTop_toTopOf="@+id/gameLabelTv">

                    <ImageView
                        android:layout_width="10dp"
                        android:layout_height="10dp"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/ic_game_upload_add" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:gravity="center"
                        android:hint="添加标签"
                        android:textColor="@color/text_subtitle"
                        android:textColorHint="@color/theme_font"
                        android:textCursorDrawable="@drawable/cursor_color"
                        android:textSize="10sp" />
                </LinearLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                style="@style/line_horizontal"
                android:layout_height="8dp"
                android:background="@color/background" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="56dp">

                <TextView
                    android:id="@+id/gameIsNetworkingTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingRight="16dp"
                    android:text="是否联网"
                    android:textColor="@color/text_title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RadioGroup
                    android:id="@+id/gameIsNetworkingRg"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="@+id/gameIsNetworkingTv"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/gameIsNetworkingTv"
                    app:layout_constraintTop_toTopOf="@+id/gameIsNetworkingTv">

                    <RadioButton
                        android:id="@+id/gameNetworkingRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="需要联网"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/gameNoNetworkingRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="16dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="无需联网"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />
                </RadioGroup>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                style="@style/line_horizontal"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:background="@color/background" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="56dp">

                <TextView
                    android:id="@+id/gameLanguageTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:text="游戏语言"
                    android:textColor="@color/text_title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RadioGroup
                    android:id="@+id/gameLanguageRg"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="@+id/gameLanguageTv"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/gameLanguageTv"
                    app:layout_constraintTop_toTopOf="@+id/gameLanguageTv">

                    <RadioButton
                        android:id="@+id/gameLanguageChineseRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="中文"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/gameLanguageEnglishRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="16dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="英文"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/gameLanguageOtherRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="16dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="其他"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />
                </RadioGroup>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                style="@style/line_horizontal"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:background="@color/background" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="56dp">

                <TextView
                    android:id="@+id/gameTypeTv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingRight="20dp"
                    android:text="游戏类型"
                    android:textColor="@color/text_title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RadioGroup
                    android:id="@+id/gameTypeRg"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="@+id/gameTypeTv"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/gameTypeTv"
                    app:layout_constraintTop_toTopOf="@+id/gameTypeTv">

                    <RadioButton
                        android:id="@+id/gameTypeLocalRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="单机"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/gameTypeOnlineRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="16dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="网游"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/gameTypeOtherRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginLeft="16dp"
                        android:background="@drawable/game_upload_rg_button_selector"
                        android:button="@null"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="其他"
                        android:gravity="center"
                        android:textColor="@color/game_upload_rg_button_selector"
                        android:textSize="12sp" />
                </RadioGroup>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                style="@style/line_horizontal"
                android:layout_height="8dp"
                android:background="@color/background" />

            <TextView
                android:id="@+id/tv_game_intro"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/background_white"
                android:paddingLeft="20dp"
                android:paddingTop="16dp"
                android:paddingRight="20dp"
                android:paddingBottom="10dp"
                android:text="游戏简介*"
                android:textColor="@color/text_title"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/et_game_intro"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/background_white"
                android:gravity="top"
                android:hint="请填写游戏简介"
                android:lineSpacingExtra="4dp"
                android:maxLength="1000"
                android:minHeight="100dp"
                android:paddingLeft="20dp"
                android:paddingRight="20dp"
                android:textColor="@color/text_subtitle"
                android:textColorHint="@color/text_body"
                android:textSize="14sp" />

            <View
                style="@style/line_horizontal"
                android:layout_height="8dp"
                android:background="@color/background" />

            <TextView
                android:id="@+id/gameDeveloperWordsTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/background_white"
                android:paddingLeft="20dp"
                android:paddingTop="16dp"
                android:paddingRight="20dp"
                android:paddingBottom="10dp"
                android:text="开发者的话"
                android:textColor="@color/text_title"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/gameDeveloperWordsEt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/background_white"
                android:gravity="top"
                android:hint="请填写开发者的话"
                android:lineSpacingExtra="4dp"
                android:maxLength="1000"
                android:minHeight="100dp"
                android:paddingLeft="20dp"
                android:paddingRight="20dp"
                android:textColor="@color/text_subtitle"
                android:textColorHint="@color/text_body"
                android:textSize="14sp" />

            <View
                style="@style/line_horizontal"
                android:layout_height="8dp"
                android:background="@color/background" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/tv_screenshot"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="14dp"
                    android:text="游戏图片*"
                    android:textColor="@color/text_title"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toTopOf="@+id/rv_screenshot"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="（最多五张，建议图片尺寸比例9:16）"
                    android:textColor="@color/text_subtitleDesc"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_screenshot"
                    app:layout_constraintStart_toEndOf="@+id/tv_screenshot"
                    app:layout_constraintTop_toTopOf="@+id/tv_screenshot" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_screenshot"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingBottom="20dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_screenshot" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                style="@style/line_horizontal"
                android:layout_height="8dp"
                android:background="@color/background" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="20dp"
                    android:paddingTop="16dp"
                    android:paddingRight="16dp"
                    android:paddingBottom="16dp"
                    android:text="游戏视频"
                    android:textColor="@color/text_title"
                    android:textSize="14sp" />


                <EditText
                    android:id="@+id/gameVideoPathEt"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="请填写视频地址"
                    android:maxLength="100"
                    android:maxLines="1"
                    android:paddingTop="10dp"
                    android:paddingRight="10dp"
                    android:paddingBottom="10dp"
                    android:textColor="@color/text_subtitle"
                    android:textColorHint="@color/text_body"
                    android:textCursorDrawable="@drawable/cursor_color"
                    android:textSize="14sp" />
            </LinearLayout>

            <View
                style="@style/line_horizontal"
                android:layout_height="8dp"
                android:background="@color/background" />

            <CheckBox
                android:id="@+id/tv_protocol"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="20dp"
                android:button="@null"
                android:checked="true"
                android:background="@color/transparent"
                android:drawableLeft="@drawable/video_upload_protocol_checkbox_style"
                android:drawablePadding="4dp"
                android:textColor="@color/text_title"
                android:textSize="14sp" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:id="@+id/suggest_post_ll"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="@color/background_white"
        android:orientation="horizontal"
        android:padding="10dp">

        <TextView
            android:id="@+id/suggest_post_btn"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/game_item_btn_download_style"
            android:gravity="center"
            android:text="提交"
            android:textColor="@color/white"
            android:textSize="14sp" />

    </LinearLayout>
</LinearLayout>